Skip to main content

List Volumes (V2)

This operation lists all volumes in the specified project.

GET/v2/volumes
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringqueryrequired

The target project of this operation.

Example Value: proj-xxxxxxxxxxxxxxxxx
pageSizeintegerquery

The number of records to include in each response.

Example Value: 10
currentPageintegerquery

The current page number.

Example Value: 1
typestringquery

The category of the volume. Valid values are MANAGED and EXTERNAL.

bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/volumes?projectId=proj-xxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns the list of volumes.

One of the alternative response payloads returned when listing volumes.

codeinteger<int32>

Response code.

dataobject

Response payload containing the data returned by the operation.

volumesarray

List of volumes.

[]volumesobject

A volume that the API key can access.

volumeNamestring

The name of the volume.

descriptionstring

Description of the volume.

typestring

The category of the volume.

regionIdstring

ID of the region where the volume resides.

countinteger<int32>

Total number of volumes.

currentPageinteger<int32>

Current page number.

pageSizeinteger<int32>

Number of volumes per page.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 200,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"volumes": [
{
"volumeName": "my_volume_1",
"type": "MANAGED",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_2",
"type": "EXTERNAL",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_3",
"type": "MANAGED",
"description": "A volume for storing collection data."
}
]
}
}